<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.BusiTransformerExperimentMapper">

   <sql id="Base_Column_List">
            id as id,
            h2 as h2,
            ch4 as ch4,
            c2h6 as c2h6,
            c2h4 as c2h4,
            c2h2 as c2h2,
            co as co,
            co2 as co2,
            n2 as n2,
            o2 as o2,
            h2o as h2o,
            zj as zj,
            is_use as isUse,
            site_id as siteId,
            equipment_id as equipmentId,
            diff_time as diffTime,
            create_time as createTime
    </sql>
	<select id="findByEquipmentId"  resultType="com.huatek.busi.entity.BusiTransformerExperiment">
		SELECT
			<include refid="Base_Column_List"></include>
		FROM
			busi_transformer_experiment t
		WHERE
			t.site_id = #{siteId}
		AND t.equipment_id =#{equipmentId}
       
	</select>
</mapper>